Scheduled Task Manager Retrieve Entity Scheduled Task

Scheduled Task Manager Retrieve Entity Scheduled Task
Available scheduled tasks defined on the entity.

Available scheduled tasks defined on the entity.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ScheduledTaskManager/{moId}/RetrieveEntityScheduledTask
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ScheduledTaskManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RetrieveEntityScheduledTaskRequestType of type(s) application/json
Optional
{
    "entity": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
entity
Optional

The entity. If null, all scheduled tasks are returned for visible entities.

Authentication
This operation uses the following authentication methods.
Responses
200

The scheduled tasks.

[
    {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
]
array of object
Optional

Reference to an instance of the ScheduledTask managed object.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/ScheduledTaskManager/{moId}/RetrieveEntityScheduledTask